﻿@using PagedList.Mvc
@model PagedList.IPagedList<FestivalKarte.Models.Festival>


@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>

<div class="well clearfix">

    <div class="col-md-6">
        <span>Sort Products:</span>
        @using (Html.BeginForm("Index", "Festivals", FormMethod.Get))
        {
            @Html.DropDownList("SortType", ViewBag.SortTypes as SelectList, new { @class = "form-control col-md-6" })
            <input type="submit" value="Sort" class="btn btn-warning" />
        }
    </div>
</div>

<button id="filter" class="btn btn-default btn-lg pull-right">Filter</button>
<div id="filterForm" class="hidden">

    @using (Html.BeginForm("Filter", "Festivals", FormMethod.Post))
    {
        @Html.Label("Name")
        @Html.TextBox("Name", null, new { @class = "form-control" })
        @Html.Label("Place")
        @Html.TextBox("Place", null, new { @class = "form-control" })
        @Html.Label("Date")
        @Html.TextBox("Date", null, new { type = "Date", @class = "form-control" })
        @Html.Label("Rate")
        @Html.TextBox("Rate", null, new { type = "Number", @class = "form-control" })

        <input type="submit" value="Filtriraj" class="btn btn-info" />
    }
</div>
@{
    Html.RenderPartial("_FestivalList");
}

Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount

@Html.PagedListPager(Model, page => Url.Action("Index", new { page }))


@section scripts
{
    <script src="~/Scripts/createJs.js"></script>
}